# User Operations Invoke the User API to retrieve User profile information. ## Get the current User's Profile. - [GET /user](https://api.tenovos.com/openapi/v1/user-operations/getcurrentuser.md): Use this endpoint to get the user profile information for the account that you've authenticated against the Tenovos API with. This is useful when needing to check which groups you are in which may restrict the API calls you can make. ## Create a new User in system. - [POST /user](https://api.tenovos.com/openapi/v1/user-operations/createuser.md): Use this endpoint to create a new user account in the system. You must have User Management role privilege and Security Template Management role privilege in order to create a user and assign groups. This endpoint can be used to create local or federated users. ## Get User Profile by ID. - [GET /user/{id}](https://api.tenovos.com/openapi/v1/user-operations/getuser.md): Current user will get its profile information in response. User will also get ID of a role assign to him and a list of group IDs from which it belongs to. ## Update User attributes. - [PATCH /user/{id}](https://api.tenovos.com/openapi/v1/user-operations/updateuser.md): Update User Profile attributes such as First Name, Last Name, Friendly Name, Email, Company, Country, Contact, Phone, and User Role. The user role can be updated by sending either role id or role name. ## Add User to Security Group. - [PATCH /user/{id}/add-to-group](https://api.tenovos.com/openapi/v1/user-operations/addusertogroup.md): Assign a Security Group to a User Profile. ## Remove User from Security Group. - [PATCH /user/{id}/remove-from-group](https://api.tenovos.com/openapi/v1/user-operations/deletegroupfromuser.md): Remove an assigned Security Group from a User Profile. ## Search User Profiles by Text. - [GET /user/search/{searchText}](https://api.tenovos.com/openapi/v1/user-operations/getuserbytext.md): User will get a list of User Profiles matching the searchText in response. Provided searchText will be matched against the user attributes case insensitively - First Name, Last Name, Friendly Name, Email, Phone, Company, Contact, Country, Group Names, and Role Name. User will only see the list of users that are part of the user groups that it belongs to.